/*
 * Copyright 2024 KylinSoft Co., Ltd.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.12
import QtQuick.Window 2.12
import org.kde.kwin 3.0 as KWinComponents
import AppWindowFilterModel 1.0

Item {
    id: root
    anchors.fill: parent

    Repeater {
        id : desktopWindowRepeater

        model : AppWindowFilterModel {
            id: kwinWorkspaceThumbnailModel
            desktopId: desktopDragRect.desktopIndex
            screenId: mainView.screenIndex
            sourceModel: multitaskViewModel.isCurrentDesktopShowingDesktop() ? {} : appWindowListModel
        }

        KWinComponents.WindowThumbnailItem {
            width : Math.floor(model.Width * desktopScale)
            height : Math.floor(model.Height * desktopScale)
            visible : !(model.Minimized)
            x : Math.floor((model.X - screenRect.x) * desktopScale)
            y : Math.floor((model.Y - screenRect.y) * desktopScale)
            wId: model.Uuid
        }
    }
}
